import type { ToRefs } from 'vue';
import { type DeepPartial } from '@gx-design-vue/pro-utils';
interface DefaultStoreValue<T> {
    setValue: (newValue: Partial<T>) => void;
}
export type PiniaStoreValue<R, T = undefined> = T extends undefined ? ToRefs<R> & DefaultStoreValue<R> : ToRefs<R> & T & DefaultStoreValue<R>;
export default function useReactiveState<T extends Record<string, any>>(defaultValue: T | (() => T), options?: {
    omitNil?: boolean;
    omitEmpty?: boolean;
}): [ToRefs<T>, (val: DeepPartial<T>) => void];
export {};
